import React from 'react';
export interface IconProps {
    icon?: IconName;
    size?: IconSize;
    style?: React.CSSProperties;
    className?: string;
}
export declare type IconSize = 'xs' | 'sm' | 'md' | 'lg' | 'xl';
export declare type IconName = 'arrowUpRight' | 'bestseller' | 'bin' | 'button' | 'calendar' | 'camera' | 'caretDown' | 'caretLeft' | 'caretRight' | 'cart' | 'check' | 'close' | 'club' | 'coin' | 'color' | 'customer' | 'dashboard' | 'delivery' | 'diamond' | 'diamond2' | 'drop' | 'edit' | 'euro' | 'filter' | 'folder' | 'font' | 'frequency' | 'gift' | 'globe' | 'grid1' | 'grid2' | 'grid4' | 'grid8' | 'grid16' | 'heart' | 'home' | 'info' | 'LangDE' | 'LangEN' | 'LangSP' | 'LangIT' | 'laurel-wreath' | 'layout' | 'letter' | 'light' | 'lock' | 'logout' | 'menu' | 'minus' | 'minusInSquare' | 'moon' | 'news' | 'notifications' | 'novelties' | 'orders' | 'pages' | 'pipette' | 'placeholder' | 'plus' | 'points' | 'random' | 'remove' | 'rocket' | 'sale' | 'sections' | 'send' | 'settings' | 'shop' | 'slider' | 'tag' | 'telescope' | 'text' | 'trophy' | 'trophy2' | 'turnAround' | 'unit' | 'user' | 'users' | 'widthSM' | 'wishlist' | 'blockquote' | 'bold' | 'colorTransparent' | 'eye' | 'italic' | 'link' | 'orderedList' | 'paragraph' | 'photo' | 'titleDisabled' | 'unorderedList' | 'widthIncrease';
export declare const AnyIcon: React.FC<IconProps>;
