import { CssBaseline } from '@mui/material';
import muiMakeStyles from '@mui/styles/makeStyles';
import { Theme } from './types';
import { ThemeProviderProps as MuiThemeProviderProps } from '@mui/material/styles/ThemeProvider';
declare module '@mui/styles/defaultTheme' {
    interface DefaultTheme extends Theme {
    }
}
declare module '@mui/styles/defaultTheme' {
    interface DefaultTheme extends Theme {
    }
}
export declare type CustomThemeName = 'anynines' | 'anynines-dark' | 'thomsit' | 'toyota' | 'bum' | 'bosch' | 'bosch-dark' | 'hyundai' | 'kia' | 'tesla' | 'santander' | 'siemens' | 'siemens-dark';
export declare const makeStyles: typeof muiMakeStyles;
export interface ThemeProviderProps extends Omit<MuiThemeProviderProps, 'theme'> {
    theme?: Theme | CustomThemeName;
}
export declare const ThemeProvider: (props: ThemeProviderProps) => JSX.Element;
export { CssBaseline };
